"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sha512 = exports.sha1 = exports.getRandomString = void 0;
const crypto_1 = __importDefault(require("crypto"));
exports.getRandomString = (length = 8) => {
    return crypto_1.default
        .randomBytes(Math.ceil(length / 2))
        .toString('hex')
        .slice(0, length);
};
exports.sha1 = (originVal, salt) => {
    if (salt) {
        return crypto_1.default.createHmac('sha1', salt).update(originVal).digest('hex');
    }
    return crypto_1.default.createHash('sha1').update(originVal).digest('hex');
};
exports.sha512 = (originVal, salt) => {
    if (salt) {
        return crypto_1.default.createHmac('sha512', salt).update(originVal).digest('hex');
    }
    return crypto_1.default.createHash('sha512').update(originVal).digest('hex');
};
//# sourceMappingURL=index.js.map